Bug 127153 - error spew on socket.error
error spew on socket.error
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2004-07-02 15:17 EDT by GeoffLeach
Modified: 2014-01-21 17:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-03 09:02:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description GeoffLeach 2004-07-02 15:17:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
The following suggests the possibility of errors in handling of an error.

Downloading Packages
Getting kernel-2.6.6-1.435.2.3.i686.rpm
kernel-2.6.6-1.435.2.3.i6   0% |                         |  24 kB   
03:20 ETA Traceback (most recent call last):
  File "/usr/bin/yum", line 30, in ?
  File "/usr/share/yum/yummain.py", line 339, in main
  File "/usr/share/yum/clientStuff.py", line 1212, in download_packages
    checkfunc=(rpmUtils.checkRpmMD5, (), {'urlgraberror':1})) 
  File "/usr/share/yum/clientStuff.py", line 1327, in grab
    bandwidth, conf.retries, retrycodes, checkfunc)
  File "/usr/share/yum/urlgrabber.py", line 237, in retrygrab
    progress_obj, throttle, bandwidth)
  File "/usr/share/yum/urlgrabber.py", line 343, in urlgrab
    _do_grab(filename, fo, progress_obj, raw_throttle)
  File "/usr/share/yum/urlgrabber.py", line 387, in _do_grab
    block = fo.read(bs)
  File "/usr/share/yum/keepalive.py", line 235, in read
    s = self._rbuf + self._raw_read(amt)
  File "/usr/lib/python2.3/httplib.py", line 409, in read
    s = self.fp.read(amt)
  File "/usr/lib/python2.3/socket.py", line 301, in read
    data = self._sock.recv(recv_size)
socket.error: (104, 'Connection reset by peer')

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.you -y update

Actual Results:  given above

Expected Results:  update package

Additional info:

Fri Jul  2 12:12 PM, should that matter

On retry, 

Downloading Packages
error: rpmts_HdrFromFdno: headerRead failed: hdr blob(967649): BAD,
read returned 48696
Damaged RPM
Getting kernel-2.6.6-1.435.2.3.i686.rpm
kernel-2.6.6-1.435.2.3.i6   0% |                         |  24 kB   
02:56 ETA 

Looks like its hung at this point.
Comment 1 Jeff Johnson 2004-07-03 09:02:06 EDT
This is typical yum behavior from a newtwork and/or server problem.

Assuming transient behavior, reopen if not.

Note You need to log in before you can comment on or make changes to this bug.